AI agents: this site is available as Markdown at /llms.txt. Each page has a Markdown version at its URL with a .md suffix, and the full API is described in /api/v3/openapi.json.

Get payment plans

This section describes how to fetch all payment plans on your account.

Last updated 13 September 2026

get

https://api.flutterwave.com/v3/payment-plans

authorization string required

Pass your secret key as a bearer token in the request header to authorize this call

FILL IN ALL REQUIRED FIELDS

from string
This is the specified date to start the list from. YYYY-MM-DD

to string
The is the specified end period for the search. YYYY-MM-DD

page int 32
This is the page number to retrieve e.g. setting 1 retrieves the first page

amount int 32
This is the exact amount set when creating the payment plan

currency string
This is the currency the payment plan amount is charged in

interval string
This is how often the payment plan is set to execute

status string
This is the status of the payment plan

FILL IN ALL REQUIRED FIELDS

status string

message string

meta object

FILL IN ALL REQUIRED FIELDS

page_info object

FILL IN ALL REQUIRED FIELDS

total integer

current_page integer

total_pages integer

data array of objects

FILL IN ALL REQUIRED FIELDS

id integer

name string

amount integer

interval string

duration integer

status string

currency string

plan_token string

created_at string

Shell

1
1


FL.AI

Answers from the Flutterwave docs

Hi, I’m FL.AI

Ask anything about Flutterwave’s APIs, guides and coverage.

FL.AI can make mistakes. Check important details in the docs.

Get API Keys